> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1domainsplans



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/domains/plans/{plan}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/domains/plans/{plan}:
    put:
      tags:
        - DomainPlans
      operationId: domains.plans.update
      parameters:
        - name: plan
          in: path
          required: true
          description: The plan ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`DomainPlanDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainPlanDataRequest'
      responses:
        '200':
          description: '`DomainPlanData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DomainPlanData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    DomainPlanDataRequest:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
        name:
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/DomainPlanMetaDataRequest'
            - type: 'null'
        domain_accounts:
          type:
            - string
            - 'null'
        domain_account_id:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
          default: false
        is_purchasing_active:
          type: boolean
          default: false
      required:
        - name
      title: DomainPlanDataRequest
    DomainPlanData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
        name:
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/DomainPlanMetaData'
            - type: 'null'
        domain_accounts:
          type:
            - string
            - 'null'
        domain_account_id:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
          default: false
        is_purchasing_active:
          type: boolean
          default: false
      required:
        - id
        - name
        - meta
        - domain_account_id
        - is_default
        - is_purchasing_active
      title: DomainPlanData
    DomainPlanMetaDataRequest:
      type: object
      properties:
        default_rule_meta:
          anyOf:
            - $ref: '#/components/schemas/DomainPlanRuleMetaDataRequest'
            - type: 'null'
      title: DomainPlanMetaDataRequest
    DomainPlanMetaData:
      type: object
      properties:
        default_rule_meta:
          anyOf:
            - $ref: '#/components/schemas/DomainPlanRuleMetaData'
            - type: 'null'
      required:
        - default_rule_meta
      title: DomainPlanMetaData
    DomainPlanRuleMetaDataRequest:
      type: object
      properties:
        tld_name:
          type:
            - string
            - 'null'
          default: com
        max_sms_per_domain:
          type:
            - integer
            - 'null'
          default: 50000
          minimum: 0
        number_of_domains_in_rotation:
          type: integer
          default: 3
          minimum: 0
        number_of_domains_in_backlog:
          type: integer
          default: 0
          minimum: 0
        domain_name_pattern:
          type:
            - string
            - 'null'
      title: DomainPlanRuleMetaDataRequest
    DomainPlanRuleMetaData:
      type: object
      properties:
        tld_name:
          type:
            - string
            - 'null'
          default: com
        max_sms_per_domain:
          type:
            - integer
            - 'null'
          default: 50000
          minimum: 0
        number_of_domains_in_rotation:
          type: integer
          default: 3
          minimum: 0
        number_of_domains_in_backlog:
          type: integer
          default: 0
          minimum: 0
        domain_name_pattern:
          type:
            - string
            - 'null'
      required:
        - tld_name
        - max_sms_per_domain
        - number_of_domains_in_rotation
        - number_of_domains_in_backlog
        - domain_name_pattern
      title: DomainPlanRuleMetaData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````